/* Navbar styles */
.sticky-nav {
  position: sticky;
  top: 0;
  z-index: 10;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

.navbar-brand {
  font-weight: bold;
  font-size: 1.5rem;
  color: #000 !important;
  margin-right: 40px;
  word-wrap: break-word;
}

.navbar-nav .nav-link {
  color: #333 !important;
  font-weight: 500;
  margin: 0 5px;
  padding: 8px 15px !important;
  border-radius: 20px;
  transition: background-color 0.3s ease, transform 0.2s ease;
}

.navbar-nav .nav-link:hover,
.navbar-nav .nav-link.active {
  background-color: #f3d8d8;
  transform: translateY(-2px);
}

.nav-logo {
  height: 60px;
  width: 60px;
  border-radius: 50%;
  transition: transform 0.3s ease;
}

.nav-logo:hover {
  transform: scale(1.1);
}

.navbar-toggler {
  border: none;
}

.navbar-toggler:focus {
  box-shadow: none;
}

.navbar-brand img {
  border-radius: 50%;
}

.navbar-brand {
  color: #004a99 !important;
}

@media (max-width: 991px) {
  .navbar-collapse {
    background-color: var(--secondary);
    padding: 20px;
    margin-top: 10px;
    border-radius: 15px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    text-align: center;
  }

  .navbar-nav .nav-link {
    margin: 8px 0;
    display: block;
    font-size: 1.1rem;
  }

  .navbar-brand {
    margin-right: 0;
    font-size: 0.9rem;
  }
}

#about_us {
  padding: 2em 4em 2em 4em;
}

#about_us h4 {
  color: #ad2b2c;
}

#about_us img {
  width: 100%;
  aspect-ratio: 2/1;
}

#carouselExample {
  width: 100%;
  height: 30em;
  margin-bottom: 2em;
  margin-top: 2em;
}

#carouselExample div {
  width: 100%;
  height: 100%;
}

.selection-parent {
  display: grid;
  grid-template-columns: repeat(12, 1fr);
  gap: 1em;
  padding: 2em;
}

.selection-parent .writing {
  grid-column: span 6;
  align-self: center;
}

.selection-parent .writing h3 {
  color: #004a99;
}

.selection-parent .image {
  grid-column: span 6;
  align-self: center;
}

.selection-parent .image img {
  width: 100%;
  aspect-ratio: 16/9;
  border-radius: 1em;
  box-shadow: 0 0 50px rgba(0, 0, 0, 0.50);
}

.selection-parent-r {
  display: grid;
  grid-template-columns: repeat(12, 1fr);
  gap: 1em;
  padding: 2em;
  background-color: #f3ebeb;
}

.selection-parent-r .writing {
  grid-column: span 6;
  align-self: center;
}

.selection-parent-r .writing h3 {
  color: #004a99;
}

.selection-parent-r .image {
  grid-column: span 6;
  align-self: center;
}

.selection-parent-r .image img {
  width: 100%;
  aspect-ratio: 16/9;
  border-radius: 1em;
  box-shadow: 0 0 50px rgba(0, 0, 0, 0.50)
}

footer {
  display: grid;
  grid-template-columns: repeat(12, 1fr);
  gap: 2em;
  background-color: #e7a4a4;
  padding: 2em 3em 2em 3em;
}

footer div {
  grid-column: span 3;
  text-align: left;
}

footer div h5 {
  color: #ad2b2c;
}

footer div p {
  text-align: left;
}

.useful-links {
  display: flex;
  flex-direction: column;
  gap: 1em;
  text-align: center;
}

.useful-links a {
  text-decoration: none;
}
footer .map{
  display: flex;
  justify-items: center;
  align-items: center;
}


.logo {
  display: flex;
  flex-direction: column;
}
.logo img{
  width: 100%;
  aspect-ratio: 2/1;
}

.connected {
  margin-top: 1em;
  display: flex;
  justify-content: center;
}

.fa-youtube,
.fa-linkedin,
.fa-square-facebook,
.fa-square-instagram {
  font-size: 2.5em;
}

.fa-square-instagram {
  color: #C13584;
}

.fa-square-facebook {
  color: #0753b6;
}

.fa-linkedin {
  color: #0077B5;
}

.fa-youtube {
  color: #FF0000;
}

.cards-4 {
  padding: 2em 5em 2em 5em;
  display: grid;
  grid-template-columns: repeat(12, 1fr);
  gap: 1em;
}

.cards-4 h3 {
  grid-column: span 12;
  text-align: center;
  color: #004a99;
  margin-bottom: 0.5em;
}

.cards-4-inner {
  grid-column: span 3;
  text-align: center;
  background-color: #f3ebeb;
  border-radius: 2em;
  padding: 1em 2em 0.25em 2em;
  box-shadow: 0 2px 12px rgba(0, 0, 0, 0.50)
}

.cards-4-inner p {
  font-size: large;
}

.cards-4 .quote {
  grid-column: span 12;
  text-align: center;
  color: #ad2b2c;
  font-size: large;
  margin-top: 1em;
}

.cards-4 hr {
  grid-column: span 12;
}

.fa-handshake,
.fa-person-rays,
.fa-envelope,
.fa-phone,
.fa-location-dot,
.fa-user-tie,
.fa-people-roof,
.fa-brain {
  font-size: 2em;
  color: #ad2b2c;
  margin-bottom: 1em;
}

.form {
  margin: 2em 5em 2em 5em;
}

.cards-2 {
  display: grid;
  grid-template-columns: repeat(12, 1fr);
  gap: 1em;
  background-color: #f3ebeb;
  padding: 2em 0 2em 0;
}

.cards-2 h3 {
  grid-column: span 12;
  text-align: center;
  color: #004a99;
  margin-top: 1em;
  margin-bottom: 0.5em;
}

.cards-2-inner {
  grid-column: span 12;
  display: grid;
  grid-template-columns: repeat(12, 1fr);
  gap: 2em;
  margin-left: 6em;
  margin-right: 6em;

}

.cards-2-inner div {
  grid-column: span 6;
  text-align: center;
  background-color: #F8F8FF;
  border-radius: 1em;
}

.cards-2-content {
  box-shadow: 0 2px 12px rgba(0, 0, 0, 0.50)
}

.cards-2-inner div img {
  border-radius: 1em 1em 0 0;
  width: 100%;
  height: 25em;
}

.cards-2-inner div div {
  padding: 1em;
}

.cards-2-inner div div h4 {
  color: #ad2b2c;
}

summary {
  color: #ad2b2c;
}

.cards-3-overlaping {
  display: grid;
  grid-template-columns: repeat(12, 1fr);
  gap: 1em;
  padding: 1em 5em 3em 5em;
}

.cards-3-overlaping-inner {
  grid-column: span 4;
  background-color: #f3d8d8;
  border-radius: 2em;
  box-shadow: 0 2px 12px rgba(0, 0, 0, 0.50)
}

.cards-3-overlaping-inner .msn-label {
  font-size: x-large;
  text-align: right;
  background-color: #000;
  padding: 0.1em 0.5em 0.1em 0;
  width: 50%;
  color: white;
  border-radius: 0 1em 1em 0;
  box-shadow: 0px 5px 30px black;
}

.cards-3-overlaping-inner p {
  text-align: center;
  padding: 1em;
  color: black;


}

.cards-3-overlaping-inner img {
  width: 100%;
  aspect-ratio: 16/9;
  border-radius: 2em;
}

.overlap-image {
  width: 100%;
  margin-bottom: 1em;
}

.overlap-img {
  margin-bottom: 3em;
}


/*Animations Started*/
.cards-4-inner:hover {
  background-color: #ad2b2c;
  color: white;
  transform: translateY(-0.5em);
  transition-duration: 0.3s;
}

.cards-4-inner:hover .fa-handshake,
.cards-4-inner:hover .fa-person-rays,
.cards-4-inner:hover .fa-envelope,
.cards-4-inner:hover .fa-phone,
.cards-4-inner:hover .fa-location-dot,
.cards-4-inner:hover .fa-user-tie,
.cards-4-inner:hover .fa-people-roof,
.cards-4-inner:hover .fa-brain {
  color: white;
}

.cards-2-inner img:hover {
  box-shadow: 0 26px 60px rgba(0, 0, 0, 0.50);
  transition-duration: 0.5s;
}

.fa-youtube:hover,
.fa-linkedin:hover,
.fa-square-facebook:hover,
.fa-square-instagram:hover {
  filter: brightness(0.7);
  transition-duration: 0.5s;
}

.Commitments {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-template-rows: repeat(2, 1fr);
  gap: 2em;
  padding: 2em 5em 2em 5em;
}

.Commitments .cards {
  padding: 2em;
  background-color: #F3D8D8;
  text-align: center;
  box-shadow: 0 2px 12px rgba(0, 0, 0, 0.50)
}

.Commitments .cards ul {
  text-align: left;
}

.Commitments .list {
  padding: 1em 2em 1em 2em;
  background-color: white;
  border-radius: 1em;
}

.Commitments .list h4,
.Commitments .list em {
  color: #ad2b2c;
}

.Commitments ul li::marker {
  color: #ad2b2c;
}

.Commitments .card_2 {
  padding: 1em 4em 1em 4em;
}

.Commitments .card_1 img {
  width: 100%;
  aspect-ratio: 1701/365;
  border-radius: 2em;
  margin-bottom: 1em;
}

.Commitments .card_1 hr {
  margin-bottom: 2em;
}

.Commitments .card_3 h3,
.Commitments .card_3 h5 {
  color: #ad2b2c;
}

.Commitments .card_3 {
  padding: 2em 4em 2em 4em;
}

.Commitments .card_3 hr {
  margin-top: 2em;
  margin-bottom: 2em;
}

.Commitments .card_4 img {
  width: 80%;
  aspect-ratio: 1365/380;
  border-radius: 2em;
}

.Commitments .card_4 hr {
  margin-bottom: 2em;
}

.cards-3-parent {
  display: grid;
  grid-template-columns: repeat(12, 1fr);
  gap: 1em;
  padding: 0em 1em 0em 1em;
}

.cards-3-parent h3 {
  grid-column: span 12;
  color: #004a99;
  text-align: center;
  margin-top: 1em;

}

.cards-3 {
  grid-column: span 4;
  background-color: #f3d8d8;
}

.cards-3 h4,
.cards-3 h5 {
  text-align: center;
  color: #ad2b2c;
  margin: 0;
}

.cards-3 img {
  width: 100%;
  aspect-ratio: 16/9;
  margin-bottom: 1em;
}

.cards-3 p {
  padding: 0 2em 0 2em;
  margin-top: 1em;
}

.image-card-4-parent {
  display: grid;
  grid-template-columns: repeat(12, 1fr);
  padding: 0 0.5em 0 0.5em;
  gap: 0.5em;
  margin-top: 2em;
  margin-bottom: 2em;
}
.image-card-4-parent h3{
  grid-column: span 12;
  margin-bottom: 0.5em;
  text-align: center;
  color: #004a99;
}

.image-card-4 {
  grid-column: span 3;
  background-color: #F3D8D8;
  border-radius: 0.5em 0.5em 0 0;
}

.image-card-4 h5 {
  color: #ad2b2c;
  text-align: center;
}

.image-card-4.card_2 img {
  margin-bottom: 1em;
}

.image-card-4.card_2 h5 {
  margin-bottom: 1em;
}

.image-card-4 .list {
  padding: 0em 1em 0em 1em;
}

.image-card-4 img {
  width: 100%;
  aspect-ratio: 16/9;
  margin-bottom: 0.5em;
  border-radius: 0.5em 0.5em 0 0;
}
.image-card-4-parent .note{
  color: #ad2b2c;
  grid-column: span 12;
}

/* File: style.css */

/* Remove default bullets */
.image-card-4 ul li {
  list-style-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M9 19c-.26 0-.51-.1-.71-.29l-6-6A.996.996 0 1 1 3.7 11.3l5.29 5.29L20.28 5.3a.996.996 0 1 1 1.41 1.41l-12 12c-.2.2-.45.29-.71.29Z" fill="%231F880E"></path></svg>');
}
.image-card-4 ul li::marker{
  font-size: 1.5em;
}
.career-grid-parent{
  display: grid;
  gap: 2em;
  column-gap: 4em;
  padding: 2em;
  grid-template-columns: repeat(2, 35vw);
  grid-template-rows: repeat(4, 35vw);
  justify-content: center;
  background-color: #f3ebeb;
}
.career-grid-item{
  padding: 1em;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-content: center;
  background-color: white;
  box-shadow: 0 2px 12px rgba(0, 0, 0, 0.50)
}

.career-grid-item.item-1{
  grid-column-start: 2;
  grid-column-end: 3;
  grid-row-start: 1;
  grid-row-end: 2;
}
.career-grid-item h4{
  text-align: center;
  color: #ad2b2c;
  margin-bottom: 1em;
}
.career-grid-item.item-2{
  grid-column-start: 1;
  grid-column-end: 2;
  grid-row-start: 2;
  grid-row-end: 3;
}
.career-grid-image.image-2{
  grid-row-start: 2;
  grid-row-end: 4;
  grid-column-start: 2;
  grid-column-end: 3;
}
.career-grid-image.image-3{
  grid-row-start: 4;
  grid-row-end: 5;
  grid-column-start: 1;
  grid-column-end: 2;

}
.career-grid-item.item-3{
  grid-column-start: 1;
  grid-column-end: 2;
  grid-row-start: 3;
  grid-row-end: 4;
}
.career-grid-item.item-4{
  grid-column-start: 2;
  grid-column-end: 3;
  grid-row-start: 4;
  grid-row-end: 5;
}
.career-grid-image.image-2 img{
  width: 100%;
}
.career-grid-image img{
  width: 100%;
  height: 100%;
  box-shadow: 0 0 50px rgba(0, 0, 0, 0.50);
}
.career-grid-item ul li {
  list-style-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M9 19c-.26 0-.51-.1-.71-.29l-6-6A.996.996 0 1 1 3.7 11.3l5.29 5.29L20.28 5.3a.996.996 0 1 1 1.41 1.41l-12 12c-.2.2-.45.29-.71.29Z" fill="%231F880E"></path></svg>');
}
.career-grid-item ul li::marker{
  font-size: 1.5em;
}
/*Working on Responsiveness*/

@media (min-width: 768px) and (max-width: 1024px) {

  /* Styles for tablets */
  footer div {
    grid-column: span 6;
  }

  .cards-4-inner {
    grid-column: span 6;
  }

  .cards-2-inner div {
    grid-column: span 6;
  }

  .cards-2-inner {
    gap: 1em;
    margin-left: 0;
    margin-right: 0;
  }

  .cards-2 {
    gap: 0;
    padding: 2em 2em 2em 2em;
  }

  .cards-3-overlaping-inner .msn-label {
    font-size: large;
    box-shadow: 0px 1px 10px black;
  }

  .cards-3-overlaping {
    padding: 1em 1em 1em 1em;
  }

  .nav-logo {
    height: 60px;
    width: 60px;
  }

  .navbar-toggler-icon {
    font-size: larger;
  }

  .navbar-brand {
    font-size: larger;
  }

  .Commitments {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    grid-template-rows: auto;
  }

  .Commitments .cards {
    grid-column: span 6;
  }

  .Commitments .card_2 {
    padding: 1em 1em 1em 1em;
  }

  .Commitments .list {
    padding: 1em 0em 1em 0em;
  }

  .Commitments .card_3 {
    padding: 1em 1em 1em 1em;
  }

  .Commitments .card_3 hr {
    margin-bottom: 1em;
    margin-top: 1em;
  }

  .Commitments .card_4 hr {
    margin: 2em 0em 4em 0em;
  }

  .Commitments .card_1 hr {
    margin: 2em 0em 4.5em 0em;
  }
}

@media (max-width: 767px) {

  /* Styles for mobile devices */
  #carouselExample {
    height: auto;
    width: 100%;
    margin-bottom: 2em;
  }

  footer div {
    grid-column: span 12;
  }

  footer {
    gap: 0em;
  }

  footer img {
    width: 80%;
    height: auto;
  }
  footer .map{
  aspect-ratio: 1/1;
}

  .cards-4 {
    padding-left: 2em;
    padding-right: 2em;
  }

  .cards-4-inner {
    grid-column: span 12;
  }

  .cards-4-inner p {
    overflow-wrap: break-word;
    word-wrap: break-word;
  }

  .cards-2-inner div {
    grid-column: span 12;
  }

  .cards-2-inner {
    gap: 0em;
    row-gap: 1em;
    margin-left: 10px;
    margin-right: 10px;
  }

  .cards-2 {
    gap: 0;
  }

  .selection-parent .writing,
  .selection-parent-r .writing {
    grid-column: span 12;
  }

  .selection-parent .image,
  .selection-parent-r .image {
    grid-column: span 12;
  }

  .cards-3-overlaping-inner {
    grid-column: span 12;
  }

  .cards-3-overlaping-inner .msn-label {
    font-size: large;
    box-shadow: 0px 1px 10px black;
  }

  .cards-3-overlaping {
    padding: 1em 1em 1em 1em;
  }

  #about_us {
    padding: 2em;
  }

  .nav-logo {
    height: 30px;
    width: 30px;
  }

  .navbar-toggler-icon {
    font-size: medium;
  }

  .Commitments {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    grid-template-rows: auto;
    padding: 2em 3px 2em 3px;
  }

  .Commitments .cards {
    grid-column: span 12;
  }

  .Commitments .card_2 {
    padding: 1em 2em 1em 2em;
  }

  .form {
    padding: 0;
    margin: 2em 0.5em 2em 0.5em;
  }
  .image-card-4-parent{
    padding: 1em 3px 1em 3px;
  }
  .image-card-4{
    grid-column: span 12;
  }
  .cards-3-parent{
    padding: 1em 5px 1em 5px;
    gap: 0;
    row-gap: 1em;
  }
  .cards-3{
    grid-column: span 12;
  }
  body{
    font-size: 16px;
  }
  .career-grid-parent{
  display: grid;
  gap: 2em;
  padding: 2em;
  grid-template-columns: 90vw;
  grid-template-rows: repeat(8, 90vw);
  justify-content: center;
  background-color: #f3ebeb;
}
.career-grid-image.image-1{
  grid-column-start: 1;
  grid-column-end: 2;
  grid-row-start: 1;
  grid-row-end: 2;
}
.career-grid-item.item-1{
  grid-column-start: 1;
  grid-column-end: 2;
  grid-row-start: 2;
  grid-row-end: 3;
}
  .career-grid-item.item-2{
  grid-column-start: 1;
  grid-column-end: 2;
  grid-row-start: 3;
  grid-row-end: 4;
}
.career-grid-image.image-2{
  grid-column-start: 1;
  grid-column-end: 2;
  grid-row-start: 4;
  grid-row-end: 6;
}
.career-grid-image.image-3{
  grid-column-start: 1;
  grid-column-end: 2;
  grid-row-start: 7;
  grid-row-end: 8;

}
.career-grid-item.item-3{
  grid-column-start: 1;
  grid-column-end: 2;
  grid-row-start: 6;
  grid-row-end: 7;
}
.career-grid-item.item-4{
  grid-column-start: 1;
  grid-column-end: 2;
  grid-row-start: 8;
  grid-row-end: 9;
}
}